package com.diagbot.client;

import com.diagbot.dto.CommonResult;
import com.diagbot.dto.GetAppealInfoDTO;
import com.diagbot.dto.GetReviewerDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.AddAppealInfoVO;
import com.diagbot.vo.CancelAppealInfoVO;
import com.diagbot.vo.GetAppealInfoVO;
import com.diagbot.vo.GetAppealOperationTypeVO;
import com.diagbot.vo.GetReviewerVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @description: 申诉功能远程调用后处理
 * @author: zhoutg
 * @date: 2020/4/13 18:28
 */
@Component
public class MedAppealInfoServiceClientFacade {

    @Autowired
    private MedAppealInfoServiceClient medAppealInfoServiceClient;

    public RespDTO<Boolean> addAppealInfo(AddAppealInfoVO addAppealInfoVO) {
        return CommonResult.tranResp(medAppealInfoServiceClient.addAppealInfo(addAppealInfoVO));
    }

    public RespDTO<List<GetReviewerDTO>> getReviewer(GetReviewerVO getReviewerVO) {
        return CommonResult.tranResp(medAppealInfoServiceClient.getReviewer(getReviewerVO));
    }

    public RespDTO<Map<String, String>> getAppealOperationType(GetAppealOperationTypeVO getAppealOperationTypeVO) {
        return CommonResult.tranResp(medAppealInfoServiceClient.getAppealOperationType(getAppealOperationTypeVO));
    }

    public RespDTO<Boolean> cancelAppealInfo(CancelAppealInfoVO cancelAppealInfoVO) {
        return CommonResult.tranResp(medAppealInfoServiceClient.cancelAppealInfo(cancelAppealInfoVO));
    }

    public RespDTO<GetAppealInfoDTO> getAppealInfo(GetAppealInfoVO getAppealInfoVO) {
        return CommonResult.tranResp(medAppealInfoServiceClient.getAppealInfo(getAppealInfoVO));
    }

}