package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 申述记录
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetComplaintRecordDTO {

    @ApiModelProperty(value = "申述id")
    private Long id;

    @ApiModelProperty(value = "申述人")
    private String claimantName;

    @ApiModelProperty(value = "申述人ID")
    private String claimantId;

    @ApiModelProperty(value = "审核人ID")
    private String checkId;

    @ApiModelProperty(value = "所属科室")
    private String behDeptName;

    @ApiModelProperty(value = "申述申诉时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date claimantGmtCreate;

    @ApiModelProperty(value = "病人住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "医院id")
    private String hospitalId;

    @ApiModelProperty(value = "缺陷详情id")
    private String qcresultDetailId;

    @ApiModelProperty(value = "条目ID")
    private String casesEntryId;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "申述模块")
    private String modeName;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "审核人")
    private String checkName;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkGmtCreate;

    @ApiModelProperty(value = "操作类型")
    private String appealOperationType;

    @ApiModelProperty(value = "状态")
    private String exampleStatus;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "模块总分")
    private BigDecimal casesScore;

    @ApiModelProperty(value = "单项否决（1-单项否决 0-非）")
    private Integer isReject;

    @ApiModelProperty(value = "模块id")
    private Long modeId;
}
