package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 申诉审批表
 * </p>
 *
 * @author zhanghang
 * @since 2022-01-20
 */
public class MedAppealExamineInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 申诉审批id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 申诉id
     */
    private Long appealInfoId;

    /**
     * 审核人id
     */
    private Long checkId;

    /**
     * 审核状态：1:驳回|2:通过
     */
    private String exampleStatus;

    /**
     * 审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复
     */
    private String exampleOperation;

    /**
     * 处理结果
     */
    private String processResult;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getAppealInfoId() {
        return appealInfoId;
    }

    public void setAppealInfoId(Long appealInfoId) {
        this.appealInfoId = appealInfoId;
    }
    public Long getCheckId() {
        return checkId;
    }

    public void setCheckId(Long checkId) {
        this.checkId = checkId;
    }
    public String getExampleStatus() {
        return exampleStatus;
    }

    public void setExampleStatus(String exampleStatus) {
        this.exampleStatus = exampleStatus;
    }
    public String getExampleOperation() {
        return exampleOperation;
    }

    public void setExampleOperation(String exampleOperation) {
        this.exampleOperation = exampleOperation;
    }
    public String getProcessResult() {
        return processResult;
    }

    public void setProcessResult(String processResult) {
        this.processResult = processResult;
    }
    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MedAppealExamineInfo{" +
            "id=" + id +
            ", appealInfoId=" + appealInfoId +
            ", checkId=" + checkId +
            ", exampleStatus=" + exampleStatus +
            ", exampleOperation=" + exampleOperation +
            ", processResult=" + processResult +
            ", rejectReason=" + rejectReason +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", remark=" + remark +
        "}";
    }
}
